Skip to main content

Requirements

Bearer token

Refer here for bearer token

Pre-Request Script

Refer here for pre-request script

Flows

After the bearer token and pre-request script have been added, follow these steps to test the CHIP Send features. This flow walks you through checking the convertible balance and completing a payout to a recipient bank.
1

Check convertible balance

Check the convertible balance using the Accounts API.
The convertible balance can be found in the response body under the parameter convertible_balance_from_statement.
Virtual RM1,000 is available for conversion daily in staging mode
2

Allocate balance to CHIP Send Limit

Allocate balance using the Create Send Limit API.
{
    "amount" : 2000
}
3

Add recipient bank

Add a recipient bank using the Add Bank Account API.
{
    "name" : "Ahmad Razali",
    "account_number" : "157380112229",
    "bank_code" : "MBBEMYKL",
    "reference" : "VENDOR-EMP-001"
}
4

Send funds to the recipient bank

Send funds to the recipient bank using the Create Send Instruction API.
{
    "bank_account_id" : 1,
    "amount" : 1000,
    "email" : "recipient@example.com",
    "description" : "Vendor payout for invoice INV-2024-0892",
    "reference" : "INV-2024-0892",
    "send_recipient_receipt" : true
}
Get the bank account id using the Bank Accounts List API.
Reference must be unique